# -*- coding: utf-8 -*-

# Netsphere Financial Front / ネットスフィア経理フロント
# Copyright (C) 2007-2009,2011 HORIKAWA Hisashi. All rights reserved.
#     http://www.nslabs.jp/bside/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# 自社銀行口座
class OurBank < ActiveRecord::Base
  belongs_to :currency
  belongs_to :bank_account
  belongs_to :en_bank_account
  belongs_to :company_setting, :class_name => "Company"

  belongs_to :account_title
  has_many :sales_invoices, :through => :si_banks

=begin  
  def currency
    if en_bank_account
      ret = en_bank_account.currency
    else
      # 国内口座, 現金
      ret = Currency.find_by_code('JPY')
    end
    raise TypeError if !ret.is_a?(Currency) # DEBUG
    ret
  end
=end
  
  def format_long
    if bank_account
      return bank_account.format_long
    elsif en_bank_account
      return en_bank_account.format_long + " (#{currency.name})"
    else
      return remarks
    end
  end
end
