# -*- coding:utf-8 -*-

module ApplicationHelper
end


# Unicodeの正規化 (デフォルト = NFKC)
def normalize s, form = :kc
  # Rails 2.2 で、 /active_support/multibyte/ の下からhandlers がなくなっている。
  if !defined?(RAILS_GEM_VERSION) || RAILS_GEM_VERSION >= '2.2'
    s ? s.mb_chars.normalize(form).to_s : nil
  else 
    s ? ActiveSupport::Multibyte::Handlers::UTF8Handler.normalize(s, form) : nil
  end
end
alias :normalize_kc :normalize
