
-- 債権債務の相殺.
-- payments と receivings を子に持つ
CREATE TABLE offset_slips (
  id         serial PRIMARY KEY,
  company_id int NOT NULL REFERENCES company_settings (id),
  date       DATE NOT NULL,

  -- 仕訳出力日時
  journal_export_at TIMESTAMP,

  -- 0 = 初期状態, 10 = 経理承認済み, 20 = 会計システム連動済み, 30 = キャンセル
  state             int NOT NULL,

  created_at     TIMESTAMP NOT NULL,
  create_user_id int NOT NULL REFERENCES users (id),
  updated_at     TIMESTAMP,

  lock_version   int NOT NULL
);
