
function my_round(v, n) {
  x = Math.round(v * 10000);
  return x / 10000;
}


// 合計行を更新
function up_total() {
  var tbl = $('detail');
  var s = 0;
  for (var i = 2; i < tbl.rows.length - 1; i += 2) {
    v = parseFloat($F(tbl.rows[i].cells[1].firstChild));
    if (!isNaN(v)) s += v;
  }
  $('total').innerHTML = my_round(s, 4);
}


// 明細行を追加する ... show()するだけ。手抜き
function add_lines() {
  var tbl = $('detail');
  for (var i = 2; i < tbl.rows.length - 1; i++) {
    Element.show(tbl.rows[i]);
  }
  Element.hide($('add_line'));
}


// 行を追加する
function insert_new_line(ref_row) {
    var tbl = $('detail');

    var rid = $('lines').value;
    $('lines').value = Number(rid) + 1;
    var new_tr1 = new Element("tr", {id: "r" + rid} );
    var new_tr2 = new Element("tr");
    Element.insert(ref_row, {before: new_tr1} );
    Element.insert(ref_row, {before: new_tr2} );

    // 1行目
    var n = $("detail0_account_title_id").cloneNode(true);
    n.name = "detail" + rid + "[account_title_id]";
    var td = new_tr1.appendChild( new Element("td") );
    td.appendChild( new Element("input", {name: "detail" + rid + "[lineno]",
					  type: "hidden", 
					  value: "0"}) );
    td.appendChild( n );

    new_tr1.appendChild( new Element("td") ).appendChild( 
                new Element("input", {name: "detail" + rid + "[amount]",
				      onblur: "up_total();",
				      size: 15,
				      type: "text"} ) );
    new_tr1.appendChild( new Element("td", {rowspan: 2}) ).appendChild( 
                new Element("input", {name: "detail" + rid + "[remarks]",
				      size: 30,
				      style: "width:30em",
				      type: "text"}) );
    new_tr1.appendChild( new Element("td") ).appendChild( 
        new Element("a", {href:"#", 
		      onclick:"insert_new_line('r" + rid + "');return false;"}
        	   )).appendChild(document.createTextNode("[+]") );

    // 2行目
    n = $("detail0_division_id").cloneNode(true);
    n.name = "detail" + rid + "[division_id]";
    new_tr2.appendChild( new Element("td") ).appendChild(n);

    n = $("detail0_vat_code").cloneNode(true);
    n.name = "detail" + rid + "[vat_code]";
    new_tr2.appendChild( new Element("td") ).appendChild(n);

    // 行番号を振りなおす
    var lineno = 0;
    for (var idx = 2; idx < tbl.rows.length - 1; idx += 2) {
	// alert(tbl.rows.item(idx).attributes); // NamedNodeMap
	var attr = document.createAttribute("class");
	attr.value = (lineno % 2) != 0 ? "color-row" : "";

	tbl.rows.item(idx    ).attributes.setNamedItem(attr);
	tbl.rows.item(idx + 1).attributes.setNamedItem(attr.cloneNode(true));
	// alert(tbl.rows.item(idx).cells.item(0).value);
	// attr = document.createAttribute("value");
	// attr.value = lineno;
	// alert(tbl.rows.item(idx).cells.item(0).firstChild);
	tbl.rows.item(idx).cells.item(0).firstChild.value = lineno;
	lineno++;
    }
}
